Approve payment or transfer
curl --request POST \
--url https://api.natural.com/approvals/{approvalId}/approve \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.natural.com/approvals/{approvalId}/approve"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.natural.com/approvals/{approvalId}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/approvals/{approvalId}/approve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/approvals/{approvalId}/approve"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.natural.com/approvals/{approvalId}/approve")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/approvals/{approvalId}/approve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"relationships": {
"initiatorAgent": {
"data": {
"type": "agent",
"id": "agt_019cd1798d637a4da75dce386343931d"
}
}
},
"type": "approval",
"id": "apr_019cd1798d8a74dd75c16fc6d843db81",
"attributes": {
"status": "approved",
"target": {
"type": "payment",
"id": "pay_019cd1798d794c2f2ccf31b4e8394f2d"
},
"payment": {
"amount": 500000,
"currency": "USD"
},
"fee": {
"amount": 100,
"currency": "USD",
"payer": "sender",
"applied": "on_top"
},
"reasons": [
{
"type": "limitExceeded",
"limitType": "perTransactionAmount",
"limitAmount": 250000,
"actualAmount": 500000,
"currency": "USD"
}
],
"customer": null,
"ach": null,
"realtime": null,
"wire": null,
"check": null,
"denialReason": null,
"createdAt": "2026-01-04T15:30:00.000Z",
"updatedAt": "2026-01-04T15:45:00.000Z",
"resolvedAt": "2026-01-04T15:45:00.000Z"
}
}
}Approvals
Approve payment or transfer
Approve a pending approval. The operation it holds continues: Natural checks it again, and it can need another approval or be canceled or denied before any money moves. An approval that’s already resolved can’t be approved. Returns the Approval object.
POST
/
approvals
/
{approvalId}
/
approve
Approve payment or transfer
curl --request POST \
--url https://api.natural.com/approvals/{approvalId}/approve \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.natural.com/approvals/{approvalId}/approve"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.natural.com/approvals/{approvalId}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/approvals/{approvalId}/approve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/approvals/{approvalId}/approve"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.natural.com/approvals/{approvalId}/approve")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/approvals/{approvalId}/approve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"relationships": {
"initiatorAgent": {
"data": {
"type": "agent",
"id": "agt_019cd1798d637a4da75dce386343931d"
}
}
},
"type": "approval",
"id": "apr_019cd1798d8a74dd75c16fc6d843db81",
"attributes": {
"status": "approved",
"target": {
"type": "payment",
"id": "pay_019cd1798d794c2f2ccf31b4e8394f2d"
},
"payment": {
"amount": 500000,
"currency": "USD"
},
"fee": {
"amount": 100,
"currency": "USD",
"payer": "sender",
"applied": "on_top"
},
"reasons": [
{
"type": "limitExceeded",
"limitType": "perTransactionAmount",
"limitAmount": 250000,
"actualAmount": 500000,
"currency": "USD"
}
],
"customer": null,
"ach": null,
"realtime": null,
"wire": null,
"check": null,
"denialReason": null,
"createdAt": "2026-01-04T15:30:00.000Z",
"updatedAt": "2026-01-04T15:45:00.000Z",
"resolvedAt": "2026-01-04T15:45:00.000Z"
}
}
}Authorizations
Headers
Was this page helpful?